package main

import (
	"time"
)

type StatMonthly struct {
	CompanyID                     uint8
	Date                          time.Time
	Trains                        int
	Lorries                       int
	Busses                        int
	Planes                        int
	Ships                         int
	TrainStations                 int
	LorryStations                 int
	BusStops                      int
	Airports                      int
	Harbours                      int
	Money                         int64
	Loan                          int64
	Income                        int64
	DeliveredCargoThisQuarter     int
	CompanyValueLastQuarter       int64
	PerformanceLastQuarter        int
	DeliveredCargoLastQuarter     int
	CompanyValuePreviousQuarter   int64
	PerformancePreviousQuarter    int
	DeliveredCargoPreviousQuarter int
}

type StatDaily struct {
	CompanyID uint8
	Date      time.Time
	Money     int64
	Loan      int64
	Value     int64
	Train     int
	Road      int
	Plane     int
	Ship      int
}
